zabbix_export:
  version: '6.0'
  date: '2025-02-08T08:00:00Z'
  groups:
    - uuid: 9febf917afbd4acbaba677c87b505318
      name: Templates/MPEG-TS Analyzer
  templates:
    - uuid: df865c92dad9417d8b983042152d44c0
      template: 'Template MPEG-TS Analyzer'
      name: 'MPEG-TS Analyzer'
      groups:
        - name: Templates/MPEG-TS Analyzer
      macros:
        - macro: '{$DEVICE_USERNAME}'
          value: 'admin'
          description: 'Username for device API authentication'
        - macro: '{$DEVICE_PASSWORD}'
          value: 'admin'
          description: 'Admin password for device API authentication'
        - macro: '{$SLATOKEN}'
          value: ''
          description: 'SLA token for API authentication'
            
      items:
        - uuid: de62de669d034e3db88e0f4c5f1fd32b
          name: 'Inputs HTTP Request'
          type: SCRIPT
          key: script.sla.inputs
          delay: 30s
          history: 1h
          trends: '0'
          value_type: TEXT
          params: |
            var obj = JSON.parse(value);
            
            host = obj.host;
            
            auth = {};
            auth.role = obj.user;
            auth.password = obj.password;
            
            var reqtoken, login = new HttpRequest();
            login.addHeader('Content-Type: application/json');
            reqtoken = login.post('http://'+host+'/api/user/login',JSON.stringify(auth));
            
            reqtoken = JSON.parse(reqtoken);
            token = reqtoken.token;
            
            var reqinputs, getin = new HttpRequest();
            getin.addHeader('Accept: */*');
            getin.addHeader('Accept-Encoding: gzip, deflate');
            getin.addHeader('Accept-Language: en-US,en;q=0.9');
            getin.addHeader('Content-Type: application/json');
            getin.addHeader('Connection: keep-alive');
            getin.addHeader('User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36');
            getin.addHeader('Authorization: Bearer ' + token);
            reqinputs= getin.get('http://'+host+'/api/inputs');
            
            return reqinputs;
          timeout: 5s
          parameters:
            - name: host
              value: '{HOST.IP}'
            - name: user
              value: '{$DEVICE_USERNAME}'
            - name: password
              value: '{$DEVICE_PASSWORD}'
            
            
            
        - uuid: 5756a004572a4316a2cd3c0d4b124b37
          name: 'Current Statistics HTTP Request'
          type: SCRIPT
          key: script.sla.inputs.metrics
          delay: 30s
          history: 1h
          trends: '0'
          value_type: TEXT
          params: |
            var obj = JSON.parse(value);
            
            host = obj.host;
            
            auth = {};
            auth.role = obj.user;
            auth.password = obj.password;
            
            var reqtoken, login = new HttpRequest();
            login.addHeader('Content-Type: application/json');
            reqtoken = login.post('http://'+host+'/api/user/login',JSON.stringify(auth));
            
            reqtoken = JSON.parse(reqtoken);
            token = reqtoken.token;
            
            var reqinputs, getin = new HttpRequest();
            getin.addHeader('Accept: */*');
            getin.addHeader('Accept-Encoding: gzip, deflate');
            getin.addHeader('Accept-Language: en-US,en;q=0.9');
            getin.addHeader('Content-Type: application/json');
            getin.addHeader('Connection: keep-alive');
            getin.addHeader('User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36');
            getin.addHeader('Authorization: Bearer ' + token);
            reqinputs= getin.get('http://'+host+'/api/statistics/current');
            
            return reqinputs;
          timeout: 5s
          parameters:
            - name: host
              value: '{HOST.IP}'
            - name: user
              value: '{$DEVICE_USERNAME}'
            - name: password
              value: '{$DEVICE_PASSWORD}'
            
      discovery_rules:
        - uuid: a3776bd03bf54c3f9bf9df9cb47fd314
          name: 'Analyzer Inputs Discovery'
          type: DEPENDENT
          key: sla.inputs.discovery
          delay: '0'
          lifetime: 14d
          item_prototypes:
            - uuid: 4c5c690d5bbd4c349cd0e719cb0c0260
              name: 'IN {#INID} {#INNAME} {#INMCASTADDR}:{#INMCASTPORT} Bitrate Full'
              type: DEPENDENT
              key: 'brfull.[{#IINID}.{#INNAME}]'
              delay: '0'
              history: 30d
              trends: '0'
              status: DISABLED
              discover: NO_DISCOVER
              units: bps
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#INBRFULL}";
                      return data
                      
              master_item:
                key: script.sla.inputs
              tags:
                - tag: TS
                  value: Bitrate
                - tag: 'Input {#INID}'
                  value: '{#INNAME}'
            - uuid: ed2a1fd9ee684a4e87fca3c9d634a3ba
              name: 'IN {#INID} {#INNAME} {#INMCASTADDR}:{#INMCASTPORT} Bitrate Payload'
              type: DEPENDENT
              key: 'brpayload.[{#IINID}.{#INNAME}]'
              delay: '0'
              history: 30d
              trends: '0'
              units: bps
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#INBRPL}";
                      return data
                      
              master_item:
                key: script.sla.inputs
              tags:
                - tag: 'Input {#INID}'
                  value: 'Bitrate Payload'
                - tag: 'Input {#INID}'
                  value: '{#INNAME}'
            - uuid: 1a4398cd4f08414e9be39097e231f65a
              name: 'IN {#INID} {#INNAME} {#INMCASTADDR}:{#INMCASTPORT} DF'
              type: DEPENDENT
              key: 'df.[{#IINID}.{#INNAME}]'
              delay: '0'
              history: 30d
              trends: '0'
              status: DISABLED
              discover: NO_DISCOVER
              value_type: FLOAT
              units: ms
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#INDF}"/10000;
                      return data
                      
              master_item:
                key: script.sla.inputs
              tags:
                - tag: MDI
                  value: DF
                - tag: 'Input {#INID}'
                  value: '{#INNAME}'
            - uuid: 369defb004364823b3b2fc3768ff3a49
              name: 'IN {#INID} {#INNAME} {#INMCASTADDR}:{#INMCASTPORT} DPC'
              type: DEPENDENT
              key: 'dpc.[{#IINID}.{#INNAME}]'
              delay: '0'
              history: 30d
              trends: '0'
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#INDPC}";
                      return data
                      
              master_item:
                key: script.sla.inputs
              tags:
                - tag: MDI
                  value: DPC
                - tag: 'Input {#INID}'
                  value: '{#INNAME}'
            - uuid: 0a681858fc4f4cddb82a73bade20148f
              name: 'IN {#INID} {#INNAME} {#INMCASTADDR}:{#INMCASTPORT} IPAT'
              type: DEPENDENT
              key: 'ipat.[{#IINID}.{#INNAME}]'
              delay: '0'
              history: 30d
              trends: '0'
              status: DISABLED
              discover: NO_DISCOVER
              value_type: FLOAT
              units: ms
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#INDF}"/100;
                      return data
                      
              master_item:
                key: script.sla.inputs
              tags:
                - tag: MDI
                  value: IPAT
                - tag: 'Input {#INID}'
                  value: '{#INNAME}'
            - uuid: b519370b944042938c3eaef5895fe65f
              name: 'IN {#INID} {#INNAME} {#INMCASTADDR}:{#INMCASTPORT} MLR'
              type: DEPENDENT
              key: 'MLR.[{#IINID}.{#INNAME}]'
              delay: '0'
              history: 30d
              trends: '0'
              status: DISABLED
              discover: NO_DISCOVER
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#INMLR}";
                      return data
                      
              master_item:
                key: script.sla.inputs
              tags:
                - tag: MDI
                  value: MLR
                - tag: 'Input {#INID}'
                  value: '{#INNAME}'
            - uuid: 0630f54198e845f3bffa288bf8eb5727
              name: 'IN {#INID} {#INNAME} {#INMCASTADDR}:{#INMCASTPORT} Monitoring status'
              type: DEPENDENT
              key: 'statusmon.[{#IINID}.{#INNAME}]'
              delay: '0'
              history: 1d
              trends: '0'
              status: DISABLED
              discover: NO_DISCOVER
              valuemap:
                name: 'Monitoring Status'
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#INSTATUS}";
                      return data
                      
                - type: BOOL_TO_DECIMAL
                  parameters:
                    - ''
              master_item:
                key: script.sla.inputs
              tags:
                - tag: TS
                  value: Bitrate
                - tag: 'Input {#INID}'
                  value: '{#INNAME}'
          master_item:
            key: script.sla.inputs
          preprocessing:
            - type: JAVASCRIPT
              parameters:
                - |
                  var data = JSON.parse(value);
                  var out = [];
                  
                    data.forEach(function (field) {
                     out.push({
                       "{#INNAME}": field.name,
                       "{#INID}": field.input_id,
                       "{#INMCASTADDR}": field.config.eth.multicast.multicast_address,
                       "{#INMCASTPORT}": field.config.eth.multicast.multicast_port,
                       "{#INMCASTPROTO}": field.config.eth.stream_ptotocol,
                       "{#INSTATUS}": field.disabled,
                       "{#INBRFULL}": field.stream.metrics.bitrate,
                       "{#INBRPL}": field.stream.metrics.payload_bitrate,
                       "{#INDF}": field.stream.metrics.df,
                       "{#INDPC}": field.stream.metrics.dpc,
                       "{#INIPAT}": field.stream.metrics.ipat,
                       "{#INMLR}": field.stream.metrics.mlr
                              });
                    })
                     
                  return JSON.stringify(out).replace(/\[/g,"[\n").replace(/\},/g,"},\n").replace(/\}]/g,"}\n]");
                  
        - uuid: 52705d2686f340ebbe24d3ca1db1ffbd
          name: 'Analyzer Statistics ETR101290 Discovery'
          type: DEPENDENT
          key: sla.st.101290.discovery
          delay: '0'
          item_prototypes:
            - uuid: 43d2c10fbe434d8ea5d34f03ac2b0570
              name: '1.1 TS Sync Loss IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.1.1.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#1.1TSSL}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 1'
                  value: 'TS Sync Loss'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 71fb3afc5802472e999e173548369488
              name: '1.2 Sync Byte Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.1.2.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#1.2SBE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 1'
                  value: 'Sync Byte Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 86157e1cdfd9440bb4f0ea1610f7e383
              name: '1.3 PAT Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.1.3.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#1.3PATE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 1'
                  value: 'PAT Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: b3abf066a4cc42e1ab5334469ed4888e
              name: '1.4 CC Error IN {#ID}  {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.1.4.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#1.4CCE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 1'
                  value: CCE
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: b6ff2dd72a154956bc5091a38f1d9106
              name: '1.5 PMT Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.1.5.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#1.5PMTE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 1'
                  value: 'PMT Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 5a5064730249478887a5b21e9551730e
              name: '1.6 PID Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.1.6.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#1.6PIDE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 1'
                  value: 'PID Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 84b3b963320b4ca6af169c4d7772e5b7
              name: '2.1 Transport Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.2.1.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#2.1TEI}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 2'
                  value: '2.1 Transport Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 920090c0da204422b816df0b3167a23a
              name: '2.2 CRC Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.2.2.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#2.2CRCE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 2'
                  value: '2.2 CRC Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 193f3d1b2ba64e498029de6ad56bfcbc
              name: '2.3a PCR Repetition Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.2.3a.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              units: ms
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#2.3APCRREP}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 2'
                  value: '2.3a PCR Repetition Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 1d2f521967974563a7982a52790b6640
              name: '2.3b PCR Discontinuity Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.2.3b.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              units: ms
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#2.3BPCRDIS}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 2'
                  value: '2.3b PCR Discontinuity Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 4c7a78c54da446f8aa24852879791d6a
              name: '2.4 PCR Accuracy Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.2.4.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              units: ns
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#2.4PCRACC}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 2'
                  value: '2.4 PCR Accuracy Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: a56b5f6fd9104ed28a77d69a7f9b2ef0
              name: '2.5 CAT Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.2.5.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#2.5CATE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 2'
                  value: '2.5 CAT Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 026df944a0b542fbb2c095f8b6e08c36
              name: '3.1a NIT Actual Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.3.1a.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              status: DISABLED
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#3.1ANITACTE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 3'
                  value: 'NIT Actual Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 6df745c83f18421b9d3f4154018416ca
              name: '3.1b NIT Other Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.3.1b.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              status: DISABLED
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#3.1BNITOTHE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 3'
                  value: 'NIT Other Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 16c2d72a96eb44279daa82e86bfbd4af
              name: '3.2 SI Repetition Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.3.2.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              status: DISABLED
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#3.2SIREPE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 3'
                  value: 'SI Repetition Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 1cc13c85658549508fdf922af90f40db
              name: '3.4 Unreferenced PID IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.3.4.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#3.4UNRPID}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 3'
                  value: 'Unreferenced PID'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: f509cad9aed24de99c9ef3bcf0f1e10c
              name: '3.5a SDT Actual Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.3.5a.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              status: DISABLED
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#3.5ASDTACTE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 3'
                  value: 'SDT Actual Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 194b42120af54bca97cd942e32cbb833
              name: '3.5b SDT Other Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.3.5b.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              status: DISABLED
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#3.5BSDTOTHE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 3'
                  value: 'SDT Other Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 37e25f371e2c4b11b7326013da265299
              name: '3.6a EIT Actual Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.3.6a.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              status: DISABLED
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#3.5AEITACTE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 3'
                  value: 'SDT EIT Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 9514ef5fda624dafb0fe564e5a32610d
              name: '3.6b EIT Other Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.3.6b.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              status: DISABLED
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#3.5BEITOTHE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 3'
                  value: 'EIT Other Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 1b98cd04392e453d8db4484d750c1f3f
              name: '3.6c EIT PF Error IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'tr101290.3.6c.[{#ID}.{#NAME}]'
              delay: '0'
              history: 30d
              trends: 60d
              status: DISABLED
              value_type: FLOAT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#3.5CEITPFE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Priority 3'
                  value: 'EIT PF Error'
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
            - uuid: 7dc39782ac6749029208f8b2bde28aaa
              name: 'Type Singnal IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT}'
              type: DEPENDENT
              key: 'type.[{#ID}.{#NAME}]'
              delay: '0'
              history: 1d
              trends: '0'
              value_type: TEXT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#MCASTTYPE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'Type'
          master_item:
            key: script.sla.inputs.metrics
          preprocessing:
            - type: JAVASCRIPT
              parameters:
                - |
                  var data = JSON.parse(value);
                  var out = [];
                  
                    data.transport_streams.forEach(function (field) {
                     out.push({
                  	
                  	//
                  	//ETR101290 Bookmark
                  	//
                  	
                  	//Information about the channel statistics 
                  	"{#NAME}": field.info.name,
                  	"{#ID}": field.info.input_id,
                  	"{#MCASTADDR}": field.info.ip_source,
                  	"{#MCASTPORT}": field.info.port,
                  	"{#MCASTTYPE}": field.info.type,
                  	
                  	//ETR101290 - Priority 1
                  	"{#1.1TSSL}": field.data.ts_sync_loss.current,
                  	"{#1.2SBE}": field.data.sync_byte_error.current,
                  	"{#1.3PATE}": field.data.pat_error2.current,
                  	"{#1.4CCE}": field.data.continuity_count_error.current,
                  	"{#1.5PMTE}": field.data.pmt_error2.current,
                  	"{#1.6PIDE}": field.data.pid_error.current,
                  	
                  	//ETR101290 - Priority 2
                  	"{#2.1TEI}": field.data.transport_error.current,
                  	"{#2.2CRCE}": field.data.crc_error.current,
                  	"{#2.3APCRREP}": field.data.pcr_repetition_error.current,
                  	"{#2.3BPCRDIS}": field.data.pcr_discontinuity_indicator_error.current,
                  	"{#2.4PCRACC}": field.data.pcr_accuracy_error.current,
                  	"{#2.5PTSE}": field.data.pts_error.current,
                  	"{#2.5CATE}": field.data.cat_error.current,
                  
                  	//ETR101290 - Priority 3
                  	"{#3.1ANITACTE}": field.data.nit_actual_error.current,
                  	"{#3.1BNITOTHE}": field.data.nit_other_error.current,
                  	"{#3.2SIREPE}": field.data.si_repetition_error.current,
                  	"{#3.4UNRPID}": field.data.unreferenced_pid.current,
                  	"{#3.5ASDTACTE}": field.data.sdt_actual_error.current,
                  	"{#3.5BSDTOTHE}": field.data.sdt_other_error.current,
                  	"{#3.6AEITACTE}": field.data.eit_actual_error.current,
                  	"{#3.6BEITOTHE}": field.data.eit_other_error.current,
                  	"{#3.6CEITPFE}": field.data.eit_pf_error.current
                  
                  
                     });
                    })
                     
                  return JSON.stringify(out).replace(/\[/g,"[\n").replace(/\},/g,"},\n").replace(/\}]/g,"}\n]");
                  
                  
                  
        - uuid: dd27f30e507f456fb3ecb1322e3617d0
          name: 'Devices Statistics Input Streams Discovery'
          type: DEPENDENT
          key: sla.st.inputstreams.discovery
          delay: '0'
          item_prototypes:
            - uuid: 286d137ad857442ca67a39665be3e90e
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} AVG Bitrate Full'
              type: DEPENDENT
              key: 'avgbwfull.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              units: bps
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#BWAVG}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'Bitrate Full AVG'
            - uuid: 6f16db4675374d27b3d59626900ae35e
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} DF AVG'
              type: DEPENDENT
              key: 'avgdf.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: ms
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#DFAVG}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'DF AVG'
            - uuid: d3061a7589ae4c6d8f7aa2699067a392
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} IPAT AVG'
              type: DEPENDENT
              key: 'avgipat.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: ms
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#IPATAVG}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'IPAT AVG'
            - uuid: 0a364124bc8a41efa6b577373f665f98
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} Bitrate Full CURRENT'
              type: DEPENDENT
              key: 'curbwfull.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              units: bps
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#BWCUR}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'Bitrate Full CURRENT'
            - uuid: 06bf94433d3f447ca8fbf68f32e15b9d
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} DF CURRENT'
              type: DEPENDENT
              key: 'curdf.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: ms
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#DFCUR}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'DF CURRENT'
            - uuid: 6ca3a5aaf1684dbfa6bf8beb09efcad8
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} IPAT CURRENT'
              type: DEPENDENT
              key: 'curipat.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: ms
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#IPATCUR}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'IPAT CURRENT'
            - uuid: f49721e2ba7b44fa911703529563925f
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} MLR CUREENT'
              type: DEPENDENT
              key: 'curmlr.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: s
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#MLRCUR}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'MLR CURRENT'
            - uuid: 2fba7915858e40d897e6544cac8471ad
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} Bitrate Full MAX'
              type: DEPENDENT
              key: 'maxbwfull.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              units: bps
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#BWMAX}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'Bitrate Full MAX'
            - uuid: e5f05b50620e4d45b690e972a9ad43ca
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} DF MAX'
              type: DEPENDENT
              key: 'maxdf.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: ms
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#DFMAX}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'DF MAX'
            - uuid: b4d90e9d5a53493fbab1f27650e7fc8a
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} IPAT MAX'
              type: DEPENDENT
              key: 'maxipat.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: ms
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#IPATMAX}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'IPAT MAX'
            - uuid: 562c4f0777cd41c4be66df407ce2d20c
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} Bitrate Full MIN'
              type: DEPENDENT
              key: 'minbwfull.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              units: bps
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#BWMIN}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'Bitrate Full MIN'
            - uuid: 2f09758a41db4cfdb7fcf4b6c04d0cd8
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} DF MIN'
              type: DEPENDENT
              key: 'mindf.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: ms
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#DFMIN}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'DF MIN'
            - uuid: a8a409be904f440ca0c8d0b20c61e701
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} IPAT MIN'
              type: DEPENDENT
              key: 'minipat.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: ms
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#IPATMIN}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'IPAT MIN'
            - uuid: 661a4cad71ca4898af7f760895d51fbb
              name: 'IN {#ID} {#NAME} {#MCASTADDR}:{#MCASTPORT} MLR SUM'
              type: DEPENDENT
              key: 'summlr.[{#ID}.{#NAME}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: s
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#MLRSUM}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: 'Input {#ID}'
                  value: '{#NAME}'
                - tag: Metrics
                  value: 'MLR SUM'
          master_item:
            key: script.sla.inputs.metrics
          preprocessing:
            - type: JAVASCRIPT
              parameters:
                - |
                  var data = JSON.parse(value);
                  var out = [];
                  
                    data.input_streams.forEach(function (field) {
                     out.push({
                  	
                  	//
                  	//The INPUT STREAMS
                  	//
                  	
                  	//Information about the statistics channel
                  	"{#NAME}": field.info.name,
                  	"{#ID}": field.info.input_id,
                  	"{#MCASTADDR}": field.info.ip_source,
                  	"{#MCASTPORT}": field.info.port,
                  	"{#MCASTTYPE}": field.info.type,
                  	
                  	//Input Streams - Bitrates
                  	"{#BWAVG}": field.data.bitrate.avg,
                  	"{#BWMIN}": field.data.bitrate.min,
                  	"{#BWMAX}": field.data.bitrate.max,
                  	"{#BWCUR}": field.data.bitrate.current,
                  	
                  	//Input Streams - Alarms
                  	//Data is static - investigate
                  	//"{#TBE}": field.data.bitrate.current,
                  	//"{#CCE}": field.data.input_cce_error,
                  	//"{#DFE}": field.data.input_df_error,
                  	//"{#DPCE}": field.data.input_dpc_error,
                  	//"{#IPATE}": field.data.input_ipat_error,
                  	//"{#MLRE}": field.data.input_mlr_error,
                  	//"{#PBE}": field.data.input_payload_bitrate_error,
                  
                  	//Input Streams - Packets
                  	"{#IPATAVG}": field.data.ipat.avg,
                  	"{#IPATCUR}": field.data.ipat.current,
                  	"{#IPATMAX}": field.data.ipat.max,
                  	"{#IPATMIN}": field.data.ipat.min,
                  
                  	//Input Streams - RFC4445
                  	"{#DFAVG}": field.data.df.avg,
                  	"{#DFCUR}": field.data.df.current,
                  	"{#DFMAX}": field.data.df.max,
                  	"{#DFMIN}": field.data.df.min,
                  	"{#MLRCUR}": field.data.mlr.current,
                  	"{#MLRSUM}": field.data.mlr.sum
                  	
                  
                     });
                    })
                     
                  return JSON.stringify(out).replace(/\[/g,"[\n").replace(/\},/g,"},\n").replace(/\}]/g,"}\n]");
                  
        - uuid: 8b9545f848b442f3a5a8afa227dd5059
          name: 'Analyzer Statistics PID Discovery'
          type: DEPENDENT
          key: sla.st.pid.discovery
          delay: '0'
          item_prototypes:
            - uuid: 0de9ec73a0434a9f969ee0edc357393c
              name: 'IN {#ID} {#NAME} PID: {#PID} Bitrate AVG'
              type: DEPENDENT
              key: 'bravg.[{#ID}.{#NAME}.{#PID}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: bps
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#BWAVG}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: PID
                  value: '{#PID}'
                - tag: Input
                  value: '{#ID}'
                - tag: Metrics
                  value: 'Bitrate AVG'
            - uuid: 377ec1de28f440998459a23fb4acbed7
              name: 'IN {#ID} {#NAME} PID: {#PID} Bitrate CURRENT'
              type: DEPENDENT
              key: 'brcur.[{#ID}.{#NAME}.{#PID}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: bps
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#BWCUR}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: PID
                  value: '{#PID}'
                - tag: Input
                  value: '{#ID}'
                - tag: Metrics
                  value: 'Bitrate CURRENT'
            - uuid: 4353502acd0846dda0646bf0699e7a9c
              name: 'IN {#ID} {#NAME} PID: {#PID} Bitrate MIN'
              type: DEPENDENT
              key: 'brmin.[{#ID}.{#NAME}.{#PID}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: bps
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#BWMIN}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: PID
                  value: '{#PID}'
                - tag: Input
                  value: '{#ID}'
                - tag: Metrics
                  value: 'Bitrate MIN'
            - uuid: ccef0c60a6164410a933dc22bb4d54c9
              name: 'IN {#ID} {#NAME} PID: {#PID} CCE Last Minute'
              type: DEPENDENT
              key: 'ccelm.[{#ID}.{#NAME}.{#PID}]'
              delay: '0'
              history: 60d
              trends: '0'
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#CCEMIN}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: PID
                  value: '{#PID}'
                - tag: Input
                  value: '{#ID}'
                - tag: Metrics
                  value: 'CCE Last Minute'
            - uuid: 91fa6ee7336849b38c117b4cac9c8d1a
              name: 'IN {#ID} {#NAME} PID: {#PID} CCE SUM'
              type: DEPENDENT
              key: 'ccesum.[{#ID}.{#NAME}.{#PID}]'
              delay: '0'
              history: 60d
              trends: '0'
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#CCESUM}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: PID
                  value: '{#PID}'
                - tag: Input
                  value: '{#ID}'
                - tag: Metrics
                  value: 'CCE SUM'
            - uuid: c29d79876543454384e850f067fce56f
              name: 'IN {#ID} {#NAME} PID: {#PID} Bitrate MAX'
              type: DEPENDENT
              key: 'maxbr.[{#ID}.{#NAME}.{#PID}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: FLOAT
              units: bps
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#BWMAX}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: PID
                  value: '{#PID}'
                - tag: Input
                  value: '{#ID}'
                - tag: Metrics
                  value: 'Bitrate MAX'
            - uuid: 3ea1780340c04341bb4e61b5bd732a51
              name: 'IN {#ID} {#NAME} PID: {#PID} Status'
              type: DEPENDENT
              key: 'status.[{#ID}.{#NAME}.{#PID}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: TEXT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#STATUS}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: PID
                  value: '{#PID}'
                - tag: Input
                  value: '{#ID}'
                - tag: Metrics
                  value: Status
            - uuid: 3322e11c30f2473a972d3907b699e279
              name: 'IN {#ID} {#NAME} PID: {#PID} Status Last'
              type: DEPENDENT
              key: 'statuslast.[{#ID}.{#NAME}.{#PID}]'
              delay: '0'
              history: 60d
              trends: '0'
              value_type: TEXT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#LASTSTATUS}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: PID
                  value: '{#PID}'
                - tag: Input
                  value: '{#ID}'
                - tag: Metrics
                  value: 'Status Last'
            - uuid: 3a90fdac4a244dd88ed13f3f060c1fa0
              name: 'IN {#ID} {#NAME} PID: {#PID} Status Last Change Time'
              type: DEPENDENT
              key: 'statuslastchtime.[{#ID}.{#NAME}.{#PID}]'
              delay: '0'
              history: 60d
              units: unixtime
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#LASTSTATUSCHANGE}";
                      return data
                - type: MULTIPLIER
                  parameters:
                    - '0.001'
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: PID
                  value: '{#PID}'
                - tag: Input
                  value: '{#ID}'
                - tag: Metrics
                  value: 'Status Last'
            - uuid: 1a5bdb88bac34f40a7b50e0e826b9314
              name: 'IN {#ID} {#NAME} PID: {#PID} Type ES'
              type: DEPENDENT
              key: 'typees.[{#ID}.{#NAME}.{#PID}]'
              delay: '0'
              history: 7d
              trends: '0'
              value_type: TEXT
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      data = "{#TYPE}";
                      return data
              master_item:
                key: script.sla.inputs.metrics
              tags:
                - tag: PID
                  value: '{#PID}'
                - tag: Input
                  value: '{#ID}'
                - tag: Metrics
                  value: 'Type Elementary Stream'
          master_item:
            key: script.sla.inputs.metrics
          preprocessing:
            - type: JAVASCRIPT
              parameters:
                - |
                  var data = JSON.parse(value);
                  var out = [];
                  
                    data.pid_streams.forEach(function (field) {
                     out.push({
                  	
                  	//
                  	//The ETR101290
                  	//
                  	
                  	//Information about the statistics channel
                  	"{#NAME}": field.info.name,
                  	"{#ID}": field.info.input_id,
                  	"{#PID}": field.info.pid,
                  	"{#STATUS}": field.info.status,
                  	"{#LASTSTATUS}": field.info.last_status,
                  	"{#LASTSTATUSCHANGE}": field.info.status_last_change_time,
                  	"{#SERVICE}": field.info.service,
                  	"{#TYPE}": field.info.type,
                  
                  	//PID BITRATE
                  	"{#BWAVG}": field.data.bitrate.avg,
                  	"{#BWMIN}": field.data.bitrate.min,
                  	"{#BWMAX}": field.data.bitrate.max,
                  	"{#BWCUR}": field.data.bitrate.current,
                  
                  	//PID CCE
                  	"{#CCECURR}": field.data.cce.current,
                  	"{#CCEMIN}": field.data.cce.minute,
                  	"{#CCESUM}": field.data.cce.sum,
                  
                  
                     });
                    })
                     
                  return JSON.stringify(out).replace(/\[/g,"[\n").replace(/\},/g,"},\n").replace(/\}]/g,"}\n]");
                  
                  
                  
      valuemaps:
        - uuid: d628f413b74d401b9180872ec694258d
          name: 'Monitoring Status'
          mappings:
            - value: '0'
              newvalue: enabled
            - value: '1'
              newvalue: disabled
